## org.eclipse.m2m.atl.debug.core
Class AtlVariable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.m2m.atl.debug.core.AtlDebugElement
              org.eclipse.m2m.atl.debug.core.AtlVariable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValueModification, org.eclipse.debug.core.model.IVariable

    public class AtlVariable

extends AtlDebugElement
implements org.eclipse.debug.core.model.IVariable

The ATL variable (for debug).

Field Summary
`static int` `ATTRIBUTE` attribute type.
`static int` `ELEMENT` model element type.
`static int` `LOCALVARIABLE` atl local variable type.
`static int` `REFERENCE` reference type.
`static int` `SUPERTYPE` supertype type.
`static int` `UNKNOWN` unknown type.

Fields inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement
`fTarget`

Constructor Summary
`AtlVariable(java.lang.String name, org.eclipse.debug.core.model.IValue value, AtlDebugTarget atlDT, int description)` Creates an atl variable.

Method Summary
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`int` `getDescription()` Returns the superType.
`int` `getIdVariable()` Return the idVariable.
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`org.eclipse.debug.core.model.IValue` `getValue()`
`boolean` `hasValueChanged()`
`void` `setValue(org.eclipse.debug.core.model.IValue value)`
`void` `setValue(java.lang.String expression)`
`boolean` `supportsValueModification()`
`boolean` `verifyValue(org.eclipse.debug.core.model.IValue value)`
`boolean` `verifyValue(java.lang.String expression)`

Methods inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement
`abort, getAdapter, getModelIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  unknown type.

  See Also:
    Constant Field Values

### LOCALVARIABLE

    public static final int LOCALVARIABLE

  atl local variable type.

  See Also:
    Constant Field Values

### REFERENCE

    public static final int REFERENCE

  reference type.

  See Also:
    Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

  attribute type.

  See Also:
    Constant Field Values

### SUPERTYPE

    public static final int SUPERTYPE

  supertype type.

  See Also:
    Constant Field Values

### ELEMENT

    public static final int ELEMENT

  model element type.

  See Also:
    Constant Field Values

Constructor Detail

### AtlVariable

    public AtlVariable(java.lang.String name,
                       org.eclipse.debug.core.model.IValue value,
                       AtlDebugTarget atlDT,
                       int description)

  Creates an atl variable.

  Parameters:
    `name` - the variable name
    `value` - the variable value
    `atlDT` - the debug target
    `description` - the variable description

Method Detail

### getValue

    public org.eclipse.debug.core.model.IValue getValue()
                                                 throws org.eclipse.debug.core.DebugException

  Specified by:
    `getValue` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IVariable.getValue()`

### getName

    public java.lang.String getName()
                             throws org.eclipse.debug.core.DebugException

  Specified by:
    `getName` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IVariable.getName()`

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getReferenceTypeName` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IVariable.getReferenceTypeName()`

### hasValueChanged

    public boolean hasValueChanged()
                            throws org.eclipse.debug.core.DebugException

  Specified by:
    `hasValueChanged` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IVariable.hasValueChanged()`

### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

  Specified by:
    `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
  Overrides:
    `getDebugTarget` in class `AtlDebugElement`
  See Also:
    `AtlDebugElement.getDebugTarget()`

### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

  Specified by:
    `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
  Overrides:
    `getLaunch` in class `AtlDebugElement`
  See Also:
    `AtlDebugElement.getLaunch()`

### setValue

    public void setValue(java.lang.String expression)
                  throws org.eclipse.debug.core.DebugException

  Specified by:
    `setValue` in interface `org.eclipse.debug.core.model.IValueModification`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValueModification.setValue(java.lang.String)`

### setValue

    public void setValue(org.eclipse.debug.core.model.IValue value)
                  throws org.eclipse.debug.core.DebugException

  Specified by:
    `setValue` in interface `org.eclipse.debug.core.model.IValueModification`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValueModification.setValue(org.eclipse.debug.core.model.IValue)`

### supportsValueModification

    public boolean supportsValueModification()

  Specified by:
    `supportsValueModification` in interface `org.eclipse.debug.core.model.IValueModification`
  See Also:
    `IValueModification.supportsValueModification()`

### verifyValue

    public boolean verifyValue(java.lang.String expression)
                        throws org.eclipse.debug.core.DebugException

  Specified by:
    `verifyValue` in interface `org.eclipse.debug.core.model.IValueModification`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValueModification.verifyValue(java.lang.String)`

### verifyValue

    public boolean verifyValue(org.eclipse.debug.core.model.IValue value)
                        throws org.eclipse.debug.core.DebugException

  Specified by:
    `verifyValue` in interface `org.eclipse.debug.core.model.IValueModification`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValueModification.verifyValue(org.eclipse.debug.core.model.IValue)`

### getDescription

    public int getDescription()

  Returns the superType.

  Returns:
    the superType

### getIdVariable

    public int getIdVariable()

  Return the idVariable.

  Returns:
    the idVariable.

Copyright 2007 IBM Corporation and others. All Rights Reserved.